/*
  findkeys.c

  Finds valid keys for the RSA scheme

  Part of my implementation of the RSA scheme
*/

// Uncomment the next line to disable assertions
// #define NDEBUG

#include <stdio.h> // printf
#include "findkeys.h"

int main ()
{
  unsigned long int e = 0, d = 0, n = 0;

  findKeys (&e, &d, &n);

  printf ("\npublic key = %lu, private key = %lu, length = %lu\n",
	  e, d, n);

  return (0);
}
