/*
  findprime.c

  Uses wheel factorization to generate a prime in a certain range.
  See http://www.utm.edu/research/primes/glossary/WheelFactorization.html

  Part of my implementation of the RSA scheme
*/

// Uncomment the next line to disable assertions
// #define NDEBUG

#include <stdio.h> // printf
#include "findprime.h"

int main ()
{
  unsigned long int p = 0, q = 0;

  seedRandom ();
  
  p = findPrime (32768, 65535);
  q = findPrime (32768, 65535);

  printf ("\nn = pq = %lu\n", p * q);

  return (0);
}
