/*
  An implementation of the Extended Euclidean Algorithm to find
  the modular inverse of a number.

  Part of my implementation of the RSA encryption scheme

  Code in inverse.c
  Requires gcd.h and gcd.c
*/

#ifndef _INVERSE_H
#define _INVERSE_H

#include "gcd.h"

unsigned long int inverse (unsigned long int, unsigned long int);

#endif
